Bug 452049 - Missing dependency python_paramiko
Missing dependency python_paramiko
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: fwbackups (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Stewart Adam
Fedora Extras Quality Assurance
:
: 402091 452157 452180 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-18 19:10 EDT by James Bannon
Modified: 2008-08-02 19:40 EDT (History)
3 users (show)

See Also:
Fixed In Version: 1.43.2-0.4.rc2.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-24 22:49:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Bannon 2008-06-18 19:10:00 EDT
Description of problem:


Version-Release number of selected component (if applicable):1.43.2rc2


How reproducible:Always


Steps to Reproduce:
1. Install fwbackups using yum
2. run fwbackups
3.
  
Actual results:
Does not start due to missing module paramiko. Running from the CLI gives the
following error:

Traceback (most recent call last):
  File "/usr/share/fwbackups/fwbackups-runapp.pyw", line 59, in <module>
    from fwbackups import backend
  File "/usr/lib/python2.5/site-packages/fwbackups/backend.py", line 26, in <module>
    import paramiko


Expected results:
It should basically just work.

Additional info:Fixed problem by installing python_paramiko. But this should
really be in as a dependency.
Comment 1 Stewart Adam 2008-06-18 23:36:35 EDT
Thanks for reporting this, I'm tagging a new update now. I made a stupid thinko
and wrote "BuildRequires:" in the spec file instead of "Requires:"...
Comment 2 Fedora Update System 2008-06-18 23:45:09 EDT
fwbackups-1.43.2-0.3.rc2.fc8 has been submitted as an update for Fedora 8
Comment 3 Stewart Adam 2008-06-19 16:33:12 EDT
*** Bug 452157 has been marked as a duplicate of this bug. ***
Comment 4 Stewart Adam 2008-06-19 16:33:15 EDT
*** Bug 402091 has been marked as a duplicate of this bug. ***
Comment 5 Stewart Adam 2008-06-19 20:16:16 EDT
*** Bug 452180 has been marked as a duplicate of this bug. ***
Comment 6 Fedora Update System 2008-06-20 15:11:01 EDT
fwbackups-1.43.2-0.3.rc2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Andrew 2008-06-22 14:43:19 EDT
Did upgrade , after upgrade got this error
fwbackups bug report written saved at 01:59 PM on 2008-06-22

Traceback (most recent call last):
  File "/usr/share/fwbackups/fwbackups-runapp.pyw", line 2601, in <module>
    MainApp = fwbackupsApp(verbose, minimized)
  File "/usr/share/fwbackups/fwbackups-runapp.pyw", line 122, in __init__
    self.runSetup(minimized=minimized)
  File "/usr/share/fwbackups/fwbackups-runapp.pyw", line 264, in runSetup
    prefs = config.PrefsConf(create=True)
  File "/usr/lib/python2.5/site-packages/fwbackups/config.py", line 405, in 
__init__
    self._import()
  File "/usr/lib/python2.5/site-packages/fwbackups/config.py", line 474, in 
_import
    self.set('General', option, self.get('General', option.lower()))
  File "/usr/lib/python2.5/site-packages/fwbackups/config.py", line 117, in get
    value = self.config.get(section, prop)
  File "/usr/lib/python2.5/ConfigParser.py", line 520, in get
    raise NoOptionError(option, section)
NoOptionError: No option 'version' in section: 'General'

I found i only get this error when logged in as root
Comment 8 Stewart Adam 2008-06-22 15:59:54 EDT
Can you export the set(s) that caused the glitch and attach them to this report?
Comment 9 Andrew 2008-06-22 16:12:53 EDT
i down graded opened and deleted the sets, then upgraded, still same error
 
Comment 10 Stewart Adam 2008-06-22 17:02:42 EDT
I've created a patch which I believe solves the problem. If you install this
package, does fwbackups start and import your sets correctly?
http://downloads.diffingo.com/fwbackups/fwbackups-1.43.2-0.3.1.rc2.fc9.noarch.rpm
Comment 11 Andrew 2008-06-22 17:09:03 EDT
Yup, Good Job!!! I tested with a manual backup 
Comment 12 Fedora Update System 2008-06-22 18:49:25 EDT
fwbackups-1.43.2-0.4.rc2.fc8 has been submitted as an update for Fedora 8
Comment 13 Fedora Update System 2008-06-24 22:49:46 EDT
fwbackups-1.43.2-0.4.rc2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.